# Nested Entity Reference Formatter

[Nested Entity Reference Formatter](https://www.drupal.org/project/nested_entity_reference_formatter) module
provides a new configurable field formatter for entity reference fields.
This formatter allows you to choose a nested field and formatter to related
entity-reference via ajax.

## Installation

1. Download [Nested Entity Reference Formatter](https://www.drupal.org/project/nested_entity_reference_formatter)
   from [Drupal.org](https://www.drupal.org/project/nested_entity_reference_formatter/releases)
   or via composer
   ```
    composer require drupal/nested_entity_reference_formatter
   ```
2. Install it in the
   [usual way](https://www.drupal.org/documentation/install/modules-themes/modules-8).

## Usage

### In order to use the "Nested Entity Reference Formatter":

1. Create entity reference field:
  * On `admin/structure` choose **Content types**.
  * Choose content type entity reference field should be added to, for example:
    *Article*, and click **Manage fields** and then **+ Add field**.
2. Choose field formatter for your entity reference field:
  * Open *Manage display* page for the selected content type.
  * Select your reference field and set the formatter *Nested Entity Reference*
    from the dropdown.
  * In formatter settings select a field that you want to display
    then choose a formatter that related to this field type.
  * Click **Update** and then **Save**.

## Credits

Development being undertaken by [@mokys](https://www.drupal.org/u/mokys)
